List chat agents
curl --request GET \
--url https://api.upon-ai.com/api/chat-agents \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.upon-ai.com/api/chat-agents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.upon-ai.com/api/chat-agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"agent_id": "chat_agent_01hzk4q6dr3n0d4qzpw9z6gth6",
"agent_name": "Website Concierge",
"version": 3,
"response_engine": {
"type": "uponai-llm",
"llm_id": "llm_1ab234cde567fgh"
},
"auto_close_message": "Thanks for chatting with UponAI.",
"is_public": true
}
],
"pagination_key": "chat_agent_01hzk4q6dr3n0d4qzpw9z6gth6",
"pagination_key_version": 3
}Chat Agents
List chat agents
List chat agents created inside a workspace.
GET
/
api
/
chat-agents
List chat agents
Authorizations
Generate tokens from your profile settings at app.uponai.com.
Query Parameters
Workspace identifier. Call GET /api/workspaces to list workspaces accessible to your token.
Maximum number of records to return.
Required range:
1 <= x <= 1000Identifier to continue pagination.
Version paired with the pagination key.
⌘I